gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Unions.VarIntT

Contents

- Exported types
- Methods
- Properties
  - i32
  - u32

Description

No description available in the introspection data.

Synopsis

- newtype VarIntT = VarIntT (ManagedPtr VarIntT)
- newZeroVarIntT :: MonadIO m => m VarIntT
- getVarIntTI32 :: MonadIO m => VarIntT -> m Int32
- setVarIntTI32 :: MonadIO m => VarIntT -> Int32 -> m ()
- getVarIntTU32 :: MonadIO m => VarIntT -> m Word32
- setVarIntTU32 :: MonadIO m => VarIntT -> Word32 -> m ()

# Exported types

newtype VarIntT Source #

Memory-managed wrapper type.

Constructors

VarIntT (ManagedPtr VarIntT) |

#### Instances

Instances details

Eq VarIntT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarIntT Methods (==) :: VarIntT -> VarIntT -> Bool Source # (/=) :: VarIntT -> VarIntT -> Bool Source #
BoxedPtr VarIntT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarIntT Methods boxedPtrCopy :: VarIntT -> IO VarIntT Source # boxedPtrFree :: VarIntT -> IO () Source #
CallocPtr VarIntT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarIntT Methods boxedPtrCalloc :: IO (Ptr VarIntT) Source #
ManagedPtrNewtype VarIntT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarIntT Methods toManagedPtr :: VarIntT -> ManagedPtr VarIntT Source #
tag ~ 'AttrSet => Constructible VarIntT tag Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarIntT Methods new :: MonadIO m => (ManagedPtr VarIntT -> VarIntT) -> [AttrOp VarIntT tag] -> m VarIntT Source #

newZeroVarIntT :: MonadIO m => m VarIntT Source #

Construct a `VarIntT` struct initialized to zero.

# Methods

# Properties

## i32

No description available in the introspection data.

getVarIntTI32 :: MonadIO m => VarIntT -> m Int32 Source #

Get the value of the “`i32`” field. When overloading is enabled, this is equivalent to

    get varIntT #i32

setVarIntTI32 :: MonadIO m => VarIntT -> Int32 -> m () Source #

Set the value of the “`i32`” field. When overloading is enabled, this is equivalent to

    set varIntT [ #i32 := value ]

## u32

No description available in the introspection data.

getVarIntTU32 :: MonadIO m => VarIntT -> m Word32 Source #

Get the value of the “`u32`” field. When overloading is enabled, this is equivalent to

    get varIntT #u32

setVarIntTU32 :: MonadIO m => VarIntT -> Word32 -> m () Source #

Set the value of the “`u32`” field. When overloading is enabled, this is equivalent to

    set varIntT [ #u32 := value ]